KUSANAGI バージョンアップ情報 8.7.0-1

KUSANAGI バージョンアップ情報 8.7.0-1

KUSANAGIのアップデートを行いました。

kusanagi initコマンドで初期設定する際のデフォルトのPHPをPHP 8.0に変更しました。
PHP 7.4で初期設定したい場合はkusanagi initコマンドに --php7 を指定してください。
また、初期設定した後からkusanagi php7コマンドでPHP 7.4に、またはkusanagi php8コマンドでPHP 8.0に切り替えることができます。

PHP 8.0を利用するには、WordPress 5.6以上である必要があります。
また、利用しているプラグイン・テーマがPHP 8.0に対応しているかも確認してください。

最新バージョンへのアップデートについては、以下のコマンドで適用可能です。

# yum update -y

KUSANAGIモジュール更新情報

KUSANAGIモジュール更新情報

KUSANAGI を構成している各モジュールのアップデートを行いました。
アップデートにより適用される各モジュールのバージョンは、以下のとおりとなります。

python 3.9.13-1.el7 この更新には脆弱性(CVE-2018-25032)への対応が含まれます。

モジュールのアップデートについては、以下のコマンドで適用可能です。

# yum update

KUSANAGIモジュール更新情報

KUSANAGIモジュール更新情報

KUSANAGI を構成している各モジュールのアップデートを行いました。
アップデートにより適用される各モジュールのバージョンは、以下のとおりとなります。

php 8.0.19-1.el7

モジュールのアップデートについては、以下のコマンドで適用可能です。

# yum update --enablerepo=remi

php8を使用している場合は以下のコマンドで再起動してください。

# kusanagi php8

KUSANAGIモジュール更新情報

KUSANAGIモジュール更新情報

KUSANAGI を構成している各モジュールのアップデートを行いました。
アップデートにより適用される各モジュールのバージョンは、以下のとおりとなります。

openssl 3.0.3-1 この更新には脆弱性(CVE-2022-1292,CVE-2022-1343,CVE-2022-1434,CVE-2022-1473)への対応が含まれます。

モジュールのアップデートについては、以下のコマンドで適用可能です。

# yum update

アップデート後、以下のコマンドでKUSANAGIを再起動してください。

# kusanagi restart

KUSANAGIモジュール更新情報

KUSANAGIモジュール更新情報

KUSANAGI を構成している各モジュールのアップデートを行いました。
アップデートにより適用される各モジュールのバージョンは、以下のとおりとなります。

php 8.0.18-4.el7

モジュールのアップデートについては、以下のコマンドで適用可能です。

# yum update --enablerepo=remi

php8を使用している場合は以下のコマンドで再起動してください。

# kusanagi php8

KUSANAGI バージョンアップ情報 8.6.8-1

KUSANAGI バージョンアップ情報 8.6.8-1

KUSANAGIのアップデートを行いました。

PHP 8.0をサポートしました。
– kusanagi initコマンドで --php8 を指定することで初期設定できます。
– kusanagi php8 コマンドで PHP 8.0 に切り替えます。

PHP 8.0を利用するには、WordPress 5.6以上である必要があります。
また、利用しているプラグイン・テーマがPHP 8.0に対応しているかも確認してください。

最新バージョンへのアップデートについては、以下のコマンドで適用可能です。

# yum update -y

KUSANAGIモジュール更新情報

KUSANAGIモジュール更新情報

KUSANAGI を構成している各モジュールのアップデートを行いました。
アップデートにより適用される各モジュールのバージョンは、以下のとおりとなります。

php 7.4.29-1

モジュールのアップデートについては、以下のコマンドで適用可能です。

# yum update --enablerepo=remi

php7を使用している場合は以下のコマンドで再起動してください。

# kusanagi php7

KUSANAGI バージョンアップ情報 8.6.7-1

KUSANAGI バージョンアップ情報 8.6.7-1

KUSANAGIのアップデートを行いました。

kusanagi initコマンドの --dbversion 10.1 を廃止しました。

なおコミュニティによるMariaDB 10.1のサポートは既に2020年10月で終了しています。
MariaDB 10.1を利用している場合は、10.3または10.5に移行をお願いします。
移行は kusanagi upgrade mariadb コマンドで行えます。

最新バージョンへのアップデートについては、以下のコマンドで適用可能です。

# yum update -y

KUSANAGI バージョンアップ情報 8.6.6-1

KUSANAGI バージョンアップ情報 8.6.6-1

KUSANAGIのアップデートを行いました。

kusanagi migrateコマンドにより、KUSANAGI 8からKUSANAGI 9へプロファイルの移行が行えるようになりました。

最新バージョンへのアップデートについては、以下のコマンドで適用可能です。

# yum update -y

KUSANAGIモジュール更新情報

KUSANAGIモジュール更新情報

KUSANAGI を構成している各モジュールのアップデートを行いました。
アップデートにより適用される各モジュールのバージョンは、以下のとおりとなります。

python 3.9.12-1.el7

モジュールのアップデートについては、以下のコマンドで適用可能です。

# yum update